<!-- templates/home.html -->
{% extends 'base.html' %}
{% load gestion_projets_extras %}
{% load static %}

{% block title %}Edition d'un sujet{% endblock %}
{% block titlePage %}Edition d'un sujet{% endblock %}

{% block menu %}
	{% if user.is_authenticated %}
		{% include "includes/menu.html" with active_tab='tab1' %}
	{% endif %}
{% endblock %}

{% block breadcrumbs %}
<li class="page-item"><a href="{% url 'home' %}" class="page-link"><span class="mif-list"></span></a></li>
<li class="page-item"><a href="{% url 'gestion_projets:subject_list' %}" class="page-link">Sujets</a></li>
<li class="page-item"><a href="{% url 'gestion_projets:subject_edit' pk=subject.id %}" class="page-link">Edition</a></li>
{% endblock %}

{% block content %}
<div class="m-3">
    <div class="remark primary">
        <p><b>Explication :</b> Vous pouvez éditer votre sujet autant de fois que vous le voulez.</p>
        <p>Attention de ne pas modifier un sujet déjà utilisé dans une session.</p>
    </div>

    <div class="panel mt-4" >

		{% if error_message %}<p><strong>{{ error_message }}</strong></p>{% endif %}


		
		<form action="{% url 'gestion_projets:subject_Fn' subject.id %}" method="post">
			{% csrf_token %}
			
            <div class="row p-5">
                <div class="cell-2 text-bold">Titre du sujet</div>
                <div class="cell-10">
                    <input type="text" name="title" data-role="input" value="{{ subject.title }}" >
                </div>
            </div>

            <div class="row p-5">
                <div class="cell-2 text-bold">Description</div>
                <div class="cell-10"> 
                    <div style="max-height: 350px !important; overflow-y: auto;">
                        <textarea id="description" name="description">
                            {{ subject.description }}
                        </textarea>
                    </div>
                </div>
            </div>

            <div class="row p-5">
                <div class="cell-2 text-bold">Difficulté du sujet</div>
                <div class="cell-10">
                    <input name="difficulty" data-role="rating" data-values="1, 2, 3, 4, 5" data-star-color="cyan" data-value="{{ subject.difficulty }}"><br>
                </div>
            </div>

            <div class="row p-5">
                <div class="cell-2 text-bold">Tags</div>
                <div class="cell-10">
                    <input type="text" name="tags" data-role="taginput" data-max-tags="5" 
                    value="{% for tag in subject.tags.all %}{{ tag.text }}{% if not forloop.last %}, {% endif %}{% endfor %} " >
                    <p>5 tags maximum, séparer les tags par des virgules</p>
                </div>
            </div>

            <div class="row p-5">
                <div class="cell-2 text-bold">Technologies</div>
                <div class="cell-10">
                    <input type="text" name="technologies" data-role="taginput" data-max-tags="5" 
                        value="{% for tech in subject.technologies.all %}{{ tech.text }}, {% endfor %} ">
                    <p>5 technologies maximum (php, android, c++, ...), séparer les technologies par des virgules</p>
                </div>
            </div>
            
            <div class="row p-5">
                <div class="cell-2"> </div>
                <div class="cell-10">
                    <button id="success" class="image-button success" type="submit" value="SubjectFn">
                        <span class="mif-checkmark icon"></span>
                        <span class="caption">Valider</span>
                    </button>

                    <!--button id="return" class="image-button alert">
                        <span class="mif-cross icon"></span>
                        <span class="caption">Annuler</span>
                    </button-->
                </div>
            </div>

		</form>
	</div>

    <script type="module">
        import { initializeCKEditor } from "{% static "js/ckeditor-init.js" %}";
        initializeCKEditor('#description');
    </script>
{% endblock %}


